## fisicalab.app 0.4.0

=== debian/changelog ===
fisicalab.app (0.4.0-3) unstable; urgency=medium

  * debian/control (Build-Depends): Replace librenaissance0-dev with
    librenaissance-dev.
    (fisicalab.app-common): Mark as Multi-Arch: foreign.
    (Standards-Version): Claim compliance with 4.7.2; no changes needed.
  * debian/salsa-ci.yml: Delete and use the default recipe.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 06 Mar 2025 23:57:19 +0200

fisicalab.app (0.4.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: New file.
  * debian/control (Build-Depends): Require libgnustep-gui-dev (>=
    0.31.1-9) for the multiarch layout.  Drop gnustep-make; implied.
  * debian/fisicalab.app.install: Update for the multiarch layout.
  * debian/upstream/metadata: New file.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 10 Feb 2025 18:01:39 +0200

fisicalab.app (0.4.0-1) experimental; urgency=medium

  * Initial release (Closes: #550231).

 -- Yavor Doganov <yavor@gnu.org>  Sat, 12 Oct 2024 18:53:51 +0300
