=== debian/control ===
Source: fisicalab.app
Section: education
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Yavor Doganov <yavor@gnu.org>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 imagemagick,
 libgnustep-gui-dev (>= 0.31.1-9),
 libgsl-dev,
# This is completely unnecessary but upstream's build system does not
# have a Renaissance conditional (-Wl,--as-needed will wipe it off).
 librenaissance-dev,
Build-Depends-Indep:
 texinfo <!nodoc>,
 texlive-fonts-recommended <!nodoc>,
 texlive-latex-base <!nodoc>,
 texlive-plain-generic <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://gnu.org/software/fisicalab
Vcs-Browser: https://salsa.debian.org/gnustep-team/fisicalab.app
Vcs-Git: https://salsa.debian.org/gnustep-team/fisicalab.app.git

Package: fisicalab.app
Architecture: any
Depends:
 fisicalab.app-common (= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 fisicalab.app-doc-en | fisicalab.app-doc,
Description: Physics educational application
 GNU FísicaLab (can be pronounced as PhysicsLab) is an educational
 application to solve physics problems.  Its main objective is to let
 the user focus in the concepts of Physics, leaving aside the
 mathematical details (FísicaLab takes care of them).  This allows the
 user to become familiar with the physical concepts without running
 the risk of getting lost in mathematical details.  And so, when the
 user gains confidence in applying physical concepts, will be better
 prepared to solve the problems by hand (with pen and paper).
 FísicaLab has the following modules:
 .
  * Kinematics of points 2D.
  * Circular kinematics of points 2D.
  * Static of points 2D.
  * Static of rigid bodies 2D.
  * Dynamics of points 2D.
  * Circular dynamics of points 2D.
  * Heat, calorimetry, ideal gas and expansion.
  * Thermodynamics.
 .
 The static and dynamic problems are entered constructing the free
 body diagrams of the objects.  Although FísicaLab is easy and
 intuitive, there are complete and comprehensive manuals in English
 and Spanish.

Package: fisicalab.app-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 fisicalab.app,
Description: GNU FísicaLab (common files)
 GNU FísicaLab (can be pronounced as PhysicsLab) is an educational
 application to solve Physics problems.
 .
 This package contains the architecture-indpendent files; it is not
 useful on its own.

Package: fisicalab.app-doc-en
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 fisicalab.app,
Provides:
 fisicalab.app-doc,
Description: GNU Físicalab documentation (English)
 GNU FísicaLab (can be pronounced as PhysicsLab) is an educational
 application to solve Physics problems.
 .
 This package contains the English user manual in Info, HTML and PDF
 formats.

Package: fisicalab.app-doc-es
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 fisicalab.app,
Provides:
 fisicalab.app-doc,
Description: GNU Físicalab documentation (Spanish)
 GNU FísicaLab (can be pronounced as PhysicsLab) is an educational
 application to solve Physics problems.
 .
 This package contains the Spanish user manual in Info, HTML and PDF
 formats.
