=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" \
https://ftpmirror.gnu.org/fisicalab/fisicalab-@ANY_VERSION@\.tar\.gz
